| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# IEvtSelector Class Reference

`#include <GaudiKernel/IEvtSelector.h>`

Inheritance diagram for IEvtSelector:

[legend]
Collaboration diagram for IEvtSelector:

[legend]

List of all members.

## Detailed Description

The Event Selector Interface.

The EventSelector component is able to produce a list of event given a set of stream specifications.

Author:
  C. Cioffi

Date:
  14/11/2003

Definition at line 25 of file IEvtSelector.h.

## Public Member Functions
virtual StatusCode | createContext (Context *&c) const =0
| Create and return a context object that will keep track of the state of selection.
virtual StatusCode | next (Context &c) const =0
| Fetch the next event or the first event if it will be use soon after the creation of the context.
virtual StatusCode | next (Context &c, int jump) const =0
| Same of next(const Context&) plus the possibility to jump the next n-1 events.
virtual StatusCode | previous (Context &c) const =0
| Fetch the previous event.
virtual StatusCode | previous (Context &c, int jump) const =0
| Same of previous(Context& c) the possibility to jump the previous n-1 events.
virtual StatusCode | last (Context &refContext) const =0
| Access last item in the iteration.
virtual StatusCode | rewind (Context &c) const =0
| Will set the state of the context in a way that the next event read is the first of the list.
virtual StatusCode | createAddress (const Context &c, IOpaqueAddress *&iop) const =0
| Create an IOpaqueAddress object from the event fetched.
virtual StatusCode | releaseContext (Context *&) const =0
| Release the Context object.
virtual StatusCode | resetCriteria (const std::string &cr, Context &c) const =0
| Will set a new criteria for the selection of the next list of events and will change the state of the context in a way to point to the new list.
## Static Public Member Functions
static const InterfaceID & | interfaceID ()
| Retrieve interface ID.
## Classes
class | Context

## Member Function Documentation

static const InterfaceID& IEvtSelector::interfaceID | ( |  | ) | `[inline, static]`

Retrieve interface ID.

Reimplemented from IInterface.

Definition at line 33 of file IEvtSelector.h.

    00033 { return IID_IEvtSelector;}

virtual StatusCode IEvtSelector::createContext | ( | Context *& | c | ) | const`[pure virtual]`

Create and return a context object that will keep track of the state of selection.

Parameters:

  | c | Reference of a pointer to a Context object.

Implemented in PoolDbEvtSelector, EventCollectionSelector, and EventSelector.

virtual StatusCode IEvtSelector::next | ( | Context & | c | ) | const`[pure virtual]`

Fetch the next event or the first event if it will be use soon after the creation of the context.

It will return StatusCode::FAILURE if there have been problem in the fetching or it has been reached the end of the list of events.

Parameters:

  | c | Reference to the Context object.

Implemented in PoolDbEvtSelector, EventCollectionSelector, and EventSelector.

virtual StatusCode IEvtSelector::next | ( | Context & | c,
|  | int | jump |
| ) |  |  | const`[pure virtual]`

Same of next(const Context&) plus the possibility to jump the next n-1 events.

Parameters:

  | c | Reference to the Context object.
  | jump | The event to jump to from the current event.

Implemented in PoolDbEvtSelector, EventCollectionSelector, and EventSelector.

virtual StatusCode IEvtSelector::previous | ( | Context & | c | ) | const`[pure virtual]`

Fetch the previous event.

It will return StatusCode::FAILURE if there have been problem in the fetching or it has been reached the begin of the list of events.

Parameters:

  | c | Reference to the Context object.

Implemented in PoolDbEvtSelector, EventCollectionSelector, and EventSelector.

virtual StatusCode IEvtSelector::previous | ( | Context & | c,
|  | int | jump |
| ) |  |  | const`[pure virtual]`

Same of previous(Context& c) the possibility to jump the previous n-1 events.

Parameters:

  | c | Reference to the Context object.
  | jump | The event to jump to from the current event.

Implemented in PoolDbEvtSelector, EventCollectionSelector, and EventSelector.

virtual StatusCode IEvtSelector::last | ( | Context & | refContext | ) | const`[pure virtual]`

Access last item in the iteration.

Parameters:

  | refContext | [IN/OUT] Reference to the Context object.

Implemented in PoolDbEvtSelector, EventCollectionSelector, and EventSelector.

virtual StatusCode IEvtSelector::rewind | ( | Context & | c | ) | const`[pure virtual]`

Will set the state of the context in a way that the next event read is the first of the list.

Parameters:

  | c | Reference to the Context object.

Implemented in PoolDbEvtSelector, EventCollectionSelector, and EventSelector.

virtual StatusCode IEvtSelector::createAddress | ( | const Context & | c,
|  | IOpaqueAddress *& | iop |
| ) |  |  | const`[pure virtual]`

Create an IOpaqueAddress object from the event fetched.

Parameters:

  | c | Reference to the Context object.
  | iop | Refernce pointer to a IOpaqueAddress object

Implemented in PoolDbEvtSelector, EventCollectionSelector, and EventSelector.

virtual StatusCode IEvtSelector::releaseContext | ( | Context *& |  | ) | const`[pure virtual]`

Release the Context object.

Parameters:

  | c | Reference pointer to the Context object.

Implemented in PoolDbEvtSelector, EventCollectionSelector, and EventSelector.

virtual StatusCode IEvtSelector::resetCriteria | ( | const std::string & | cr,
|  | Context & | c |
| ) |  |  | const`[pure virtual]`

Will set a new criteria for the selection of the next list of events and will change the state of the context in a way to point to the new list.

Parameters:

  | cr | The new criteria string.
  | c | Reference pointer to the Context object.

Implemented in PoolDbEvtSelector, EventCollectionSelector, and EventSelector.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiKernel/GaudiKernel/IEvtSelector.h